<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" rel="stylesheet" type="text/css"/>
      </head>
      <body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" style="background-image:url(images/mainbg.jpg)">
          <tr>
            <td height="323px">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td height="95px">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="245px" valign="middle" align="center">
                          <div style="width: 245px">
                          </div>
                          <!--LOGO-->
                          <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td style="padding-left:7px">
                                <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                              </td>
                              <td class="company" align="center">
                                <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                            <tr>
                              <td colspan="2" class="slogan" align="center">
                                <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                          </table>
                          <!--END LOGO-->
                        </td>
                        <td width="1px" style="background-color: #929287">
                          <div style="width: 1px; height: 95px">
                          </div>
                        </td> 
                        <td valign="middle" align="center" style="padding-left:10px;padding-right:10px">
                          <div style="width: 412px">
                          </div>
                          <table border="0" cellpadding="0" cellspacing="0">
                            <!--TOP MENU-->
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                            <!--END TOP MENU-->
                          </table>
                        </td>
                        <td width="1px" style="background-color: #929287">
                          <div style="width: 1px; height: 95px">
                          </div>
                        </td>
                        <td width="37px">
                          <div style="width: 37px; height: 95px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td height="228px">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="245px">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td height="1px" style="background-color: #929287;">
                              </td>
                            </tr>
                            <tr>
                              <td height="226px" style="background-position: left top; background-image: url(images/08_06.jpg); background-repeat: no-repeat; background-color: #ff7800" align="center" valign="middle">
                              </td>
                            </tr>
                            <tr>
                              <td style="height: 1px; background-color: #929287;">
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td style="vertical-align: middle; text-align: center; background-color: white; background-position: center center; background-image: url(images/header.jpg); background-repeat: no-repeat;">
                          <div style="width: 495px; height: 226px">
                          </div>
                        </td>
                        <td width="38px">
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <td height="1px" style="background-color: #929287;">
                              </td>
                            </tr>
                            <tr>
                              <td height="226px" style="">
                                <div style="width: 38px; height: 226px">
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td height="1px" style="background-color: #929287;">
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td width="245px" valign="top" align="center" style="padding-top:50px;padding-bottom:30px">
                    <!--SUB MENU-->
                    <table border="0" cellpadding="0" cellspacing="0" width="161px">
                      <xsl:call-template name="SUB-MENU">
                        <xsl:with-param name="pageID" select="@ID"/>
                      </xsl:call-template>
                    </table>
                    <!--ENDSUB MENU-->
                  <div style="width: 245px;">
                    </div>
                  </td>
                  <td width="1px" style="background-color: #929287">
                    <div style="width: 1px; height: 100px">
                    </div>
                  </td>
                  <td class="content-bg pageContent" style="padding-left:42px; vertical-align: top; background-position: right bottom; background-image: url(images/08_09.jpg); background-repeat: no-repeat; padding-top:24px;padding-right:20px" name="SB_stretch">
                    <div style="width: 400px;">
                    </div>
                    <table border="0" cellpadding="0" cellspacing="0" height="20px">
                      <tr>
                        <td class="text-header">
                          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
                    <xsl:apply-templates select="PAGE-CONTENT"/>
                    <div style="width:0px; height:60px;"><span></span></div>
                  </td>
                  <td width="1px" style="background-color: #929287">
                    <div style="width: 1px; height: 100px">
                    </div>
                  </td>
                  <td width="38px">
                    <div style="width: 38px; height: 100px">
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td height="1px" style="background-color: #929287 ">
                  </td>
                </tr>
                <tr>
                  <td height="100%">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="245px" valign="top">
                          <div style="width: 245px; height:1px">
                          </div>
                        </td>
                        <td width="1px" style="background-color: #929287">
                          <div style="width: 1px; height: 91px">
                          </div>
                        </td>
                        <td valign="middle" align="right" style="padding-right:30px">
                          <div style="width: 447px">
                          </div>
                          <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td style="padding-right:8px" class="footer">
                                <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                              </td>
                              <td>
                                <img src="images/08_24.jpg" />
                              </td>
                              <td style="padding-left:8px; padding-right:8px ">
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td width="1px" style="background-color: #929287">
                          <div style="width: 1px; height: 91px">
                          </div>
                        </td>
                        <td width="37px">
                          <div style="width: 38px; height: 91px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>

      </body>
    </html>

  </xsl:template>


  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="139px" style="padding-left:10px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td class="submenu">
            <img src="images/submenubutton1.jpg" />
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="139px" style="padding-left:10px">
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td>
              <a href="{@HREF}">
                <img src="images/submenubutton.jpg" border="0"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td height="2px" colspan="2" style="background-image: url(images/submenuhr.jpg)">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="."/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>

