<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="58px" background="images/menu_bg.gif"><table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="32px" height="58px"></td>
		<!--MENU-->
		<xsl:call-template name="TOP-MENU"/>
       
		<!--END MENU-->
        <td height="58px"></td>
        <td height="58px"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="692px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="239px" background="images/logo_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="239px" align="center"><img src="images/header.jpg" width="487px" height="239px"/></td>
          </tr>
        </table></td>
        <td width="293px" height="239px" background="images/logo_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <!--LOGO-->
            <td width="54px" height="52px"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
            <td align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="24px" class="company" valign="bottom" style="padding-bottom:1px;padding-left:5px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td height="11px" class="slogan" valign="top" style="padding-top:1px;padding-left:5px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
			<!--END LOGO-->
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="453px" background="images/blog_bg.gif" style="padding-left: 50px;padding-right:50px;padding-top:10px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <!--CONTENT-->
            <td height="440px" valign="top" style="padding-top:30px;">
            
            <table border="0" cellspacing="0" cellpadding="0">
          	<tr>
            	<td height="40px" class="text-header" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
        	</table>
        
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
			</tr>
			</table>
			
			</td>
			<!--END CONTENT-->
          </tr>
        </table></td>
        <td width="293px" background="images/blog_bg.gif" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="453px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="216px" background="images/submenu_bg.gif" valign="top" style="padding-left:30px;padding-right:30px; padding-top:30px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <!--SUBMENU-->
				  <xsl:call-template name="SUB-MENU">
               			      <xsl:with-param name="pageID" select="@ID"/>     
							  </xsl:call-template>
                  <!--END SUBMENU-->
                </table>                  
                 
                  </td>
              </tr>
              <tr>
                <td height="196px" background="images/blog-archive_bg.gif" align="center"></td>
              </tr>
              <tr>
                <td height="41px"></td>
              </tr>
            </table></td>
            <td width="88px" height="453px" style="background:url(images/submenu_right.gif) top left no-repeat; "></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="70px" background="images/footer_bg.gif" style="padding-left:50px "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <!--FOOTER-->
        <td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
		<!--END FOOTER-->
      </tr>
    </table></td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		 <tr>
                    <td width="49px" style="padding-top:10px;padding-bottom:10px;"><img src="images/submenu_bullet.gif" width="7px" height="10px" align="right" border="0"/></td>
                    <td width="112px" style="padding-left:9px; " align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
         </tr>
   		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			 <tr>
                    <td width="49px" style="padding-top:10px;padding-bottom:10px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="7px" height="10px" align="right" border="0"/></a></td>
                    <td width="112px" style="padding-left:9px; " align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
         </tr>
			
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
                    <td colspan="2"><img src="images/submenu_hr.gif" width="145px" height="2px" border="0"/></td>
    </tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>


