<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>
  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/>-
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" rel="stylesheet" type="text/css"/></head>
      <body style="margin: 0px; background-color:#EFEFEF;">
        <table width="100%" height="100%" border="0" align="left" cellpadding="0" cellspacing="0">
          <tr>
            <td colspan="2"  style="background:url(images/header_bg.gif); height: 195px;">
              <table width="100%" border="0" cellpadding="0" cellspacing="0" style="background:url(images/header.jpg); background-position:right; background-repeat:no-repeat">
                <tr>
                  <td style="width:30px" >
                    <div style="width:30px; height:195px"></div>
                  </td>
                  <td width="100%" align="left" valign="middle">
                    <table cellpadding="0" cellspacing="0">
                      <tr>
                        <td align="center">
                          <a href="./">
                            <img src="images/{LOGO/@NAME}" border="0" alt=""/>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <td align="center" class="company">
                          <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                      <tr>
                        <td align="center" class="slogan">
                          <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td></td>
                </tr>
              </table>
            </td></tr>
          <tr>
            <td height="5" colspan="2" style="background-color:#dedede;">
              <img name="" src="" width="1" height="8" alt="" />
            </td></tr>
          <tr>
            <td style="height: 80px;">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr style="background-color:#D7D7D7;">
                  <td style="background:url(images/submenu_top_bg.gif); width:80px">
                    <div style="width:80px"></div>
                  </td>
                  <td style="background:url(images/submenu_top_bg.gif); width=:46px">
                    <div align="center">
                      <img src="images/submenu_top_button.gif" width="46" height="80" />
                    </div>
                  </td>
                  <td style="background:url(images/submenu_top_bg.gif); width:80px">
                    <div style="width:80px"></div>
                  </td>
                  <td width="8" style="background:url(images/submenu_top_bg.gif); width:8px">
                    <div align="right">
                      <img src="images/submenu_top_left.gif" width="8" height="80" />
                    </div>
                  </td></tr></table>
            </td>
            <td bgcolor="#D7D7D7">
              <table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td style="width:5px;">
                    <div style="width:5px; height:50px;"></div>
                  </td>
                  <!-- MENU -->
                  <xsl:call-template name="TOP-MENU"/>
                  <!-- END MENU --></tr></table>
            </td></tr>
          <tr>
            <td bgcolor="#FFFFFF" style="height: 8px;">
              <div align="right">
                <img src="images/top02.gif" width="8" height="8" />
              </div>
            </td>
            <td bgcolor="#c8c8c8">
              <img name="" src="" width="1" height="8" alt="" />
            </td></tr>
          <tr>
            <td width="200" valign="top" bgcolor="#EFEFEF" style="height: 100%;">
              <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                <tr>
                  <td>
                    <table width="200" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td>
                          <div style="width:210px"></div>
                        </td></tr>
                      <tr>
                        <td>
                          <table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
                            <!-- SUB MENU -->
                            <xsl:call-template name="SUB-MENU">
                              <xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                            <!-- END SUB MENU --></table>
                        </td></tr></table>
                  </td>
                  <td valign="bottom" style="background:url(images/submenu_mid_bg.jpg); background-repeat:repeat-y; background-position:right">
                    <div align="right">
                      <img src="images/submenu_mid_right.jpg" width="8" height="60" />
                    </div>
                  </td></tr>
                <tr>
                  <td colspan="2" style="background:url(images/submenu_bottom_bg.jpg);">
                    <div align="right">
                      <img src="images/submenu_bottom_right.jpg" width="97" height="21" />
                    </div>
                  </td></tr></table>
              <!--END  SUBMENU TABLE --></td>
            <td bgcolor="#efefef">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td style="width:10px">
                    <div style="width:10px; height:400px;"></div>
                  </td>
                  <td valign="top">
                    <table width="100%" border="0" cellpadding="5" cellspacing="5">
                      <tr>
                        <!-- Text Header -->
                        <td class="text-header">
                          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                        </td>
                        <!-- END Text Header --></tr>
                      <tr>
                        <!-- CONTENT -->
                        <td name="SB_stretch" class="pageContent">
                          <xsl:apply-templates select="PAGE-CONTENT"/></td>
                        <!-- END CONTENT --></tr></table>
                  </td></tr></table>
            </td></tr>
          <tr>
            <td colspan="2" valign="middle" bgcolor="#cfcfcf" style="height: 50px;">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td  style="width:40px">
                    <div style="width:40px; height:50px"></div>
                  </td>
                  <td valign="middle" class="footer">
                    <!-- FOOTER -->
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                    <!-- END FOOTER --></td></tr></table>
            </td></tr></table></body></html></xsl:template>
  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/></xsl:template>
  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/></xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/></xsl:when></xsl:choose></xsl:template>
  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td>
            <a href="{@HREF}" class="asubmenu">
              <div align="center">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </div>
            </a>
          </td>
          <td width="25px" bgcolor="#FF6600" >
            <div class="asubmenuNum"  align="center">
              <xsl:if test="position()&lt;10">0</xsl:if>
              <xsl:value-of select="position()"/>
            </div>
          </td></tr></xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td>
              <a href="{@HREF}" class="submenu">
                <div class="submenu" align="center">
                  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
              </a>
            </td>
            <td width="25px" >
              <div class="submenu"  align="center">
                <xsl:if test="position()&lt;10">0</xsl:if>
                <xsl:value-of select="position()"/>
              </div>
            </td></tr></xsl:if></xsl:otherwise></xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" style="background:url(images/submenu_line.gif); background-repeat: repeat-x; background-position: center  " height= "15px"></td></tr></xsl:if></xsl:template>
  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/></xsl:template>
  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/></xsl:template>
  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]"></xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID"></xsl:when>
      <xsl:otherwise></xsl:otherwise></xsl:choose>
    <xsl:if test="position()!=last()"></xsl:if></xsl:template>
  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/></xsl:template>
  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="."/>
      </xsl:attribute></meta></xsl:template>
  <xsl:template match="PAGE-CONTENT">
    <xsl:comment>EDITABLE CONTENT</xsl:comment>
    <xsl:apply-templates mode="meta-tags"/></xsl:template></xsl:stylesheet>
