<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no" />
	<xsl:strip-space elements="*" />
	<xsl:include href="buttons.xsl" />
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID" />
		<HTML>
			<head>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes" /> - <xsl:value-of select="@TITLE" disable-output-escaping="yes" /></title>
				<xsl:apply-templates select="META-TAGS" />
				<link href="css/styles.css" rel="stylesheet" type="text/css" />
			</head>
			<body style="margin-left: 0px;margin-top: 0px;margin-right: 0px;margin-bottom: 0px;">
																				<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><table width="100%" height="36" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="center" class="topcolor">
        <table height="23" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="TOP-MENU" />
              </table></td>
            </tr>
        </table></td>
      </tr>
    </table>	</td>
  </tr>
  <tr>
    <td background="images/headers-3.jpg"><table width="100%" height="166" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="36%" style="background:url(images/headers-1.jpg) no-repeat;padding-left:80px;"><table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="49" rowspan="2" style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a> </td>
            <td width="91%" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes" /></td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes" /></td>
          </tr>
        </table></td>
        <td width="500" style="background:url(images/headers_2.jpg) no-repeat;background-position: right;"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" bgcolor="#797979"><img src="images/bg2.gif" width="780" height="33" /> </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="36" rowspan="2" valign="bottom" bgcolor="#797979"><img src="images/bg4.gif" width="36" height="240" /> </td>
        <td width="708" height="23" valign="top" bgcolor="#848484"><img src="images/bg3.gif" width="708" height="23" /> </td>
      </tr>
      <tr>
        <td height="100%" valign="top" bgcolor="848484">
		<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="20"><img width="20" height="1"/></td>
              <td width="191" valign="top"><table width="191%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td><table width="191" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><img src="images/submenu_bg.gif" width="191" height="13"/></td>
                    </tr>
                    <tr>
                    <td align="center" valign="top" background="images/submenu_bg0.gif" >
					<table width="100%" height="120" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td height="93" align="center" valign="top" style="background:url(images/submenu_bg1.gif) no-repeat;">
						  <table width="155" border="0" cellspacing="0" cellpadding="0">
                                <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID" /> </xsl:call-template>
                            </table></td>
                          </tr>
                      </table></td>
                    </tr>
                    <tr>
                      <td><img src="images/submenu_bg2.gif" width="191" height="27"/></td>
                    </tr>
                  </table></td>
                </tr>
              </table></td>
              <td height="100%" valign="top" style="padding:0px 70px 70px 50px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="30" valign="top" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes" /> </td>
                  </tr>
                  <tr>
                    <td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT" /> </td>
                  </tr>
                </table>
                </td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%" height="74" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="center" background="images/bmenu_bg.gif"><table width="90%" height="40" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="center"><table border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="BOTTOM-MENU" />
              </table></td>
            </tr>
            <tr>
              <td height="35" class="footer" align="bottom"><div align="center"> <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes" /> </div></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>			</body>
		</HTML>
	</xsl:template>
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top" />
	</xsl:template>
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="sub">
		<xsl:choose>
			<xsl:when test="@ID=/LAYOUT/@ID">
				<tr>			
					<td class="asubmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</td>
					<td>
						<img src="images/submenu_bullet.gif" border="0" alt="" />
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>				
						<td>
							<a href="{@HREF}" class="submenu">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
							</a>
						</td>
						<td>
							<a href="{@HREF}">
								<img src="images/submenu_bullet.gif" border="0" alt="" />
							</a>
						</td>
					</tr>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr>
				<td colspan="2" height="20">
					<div style="height:1px; background-color: #B4B4B4; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;">
						<span></span>
					</div>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td>
					<a href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td class="abmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<a href="{@HREF}" class="bmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td>
				<img src="images/bmenu_separator.gif" alt="" style="margin: 0px 22px 0px 22px;" />
			</td>
			<td width="5"></td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." />
			</xsl:attribute>
		</meta>
	</xsl:template>
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>
