<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td align="center" height="51px">
          <table cellpadding="0" cellspacing="0" border="0" height="51px">
            <tr>
              <td width="11px" height="51px" valign="top" style="padding-top:1px">
                <img src="images/tb1.jpg" border="0" />
              </td>
              <td style="background-image: url(images/tb2.jpg);  background-position:center;
                                                                background-repeat: repeat-x" height="51px">
                <a href="{@HREF}"  class="menu3">
                  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                </a>
              </td>
              <td width="11px" height="51px" valign="top" style="padding-top:1px">
                <img src="images/tb3.jpg" border="0" />
              </td>
            </tr>
          </table>
        </td>
      </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td align="center" height="51px">
          <table cellpadding="0" cellspacing="0" border="0" height="51px">
            <tr>
              <td width="11px" height="51px" valign="top" style="padding-top:1px">
                <img src="images/tb1.jpg" border="0" />
              </td>
              <td style="background-image: url(images/tb2.jpg);  background-position:center;
                                                                background-repeat: repeat-x" class="menu3" height="51px">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </td>
              <td width="11px" height="51px" valign="top" style="padding-top:1px">
                <img src="images/tb3.jpg" border="0" />
              </td>
            </tr>
          </table>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td align="center">
          <a href="{@HREF}" class="amenu3">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td width="43px" align="center" valign="middle" height="51px" style="background-image:url(images/button.jpg); background-repeat:no-repeat; background-position:center;">
        <div style="width:43px"></div>
      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>