<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" type="text/css" rel="Stylesheet" />
      </head>
      <body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0">
        <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="208px">
              <table border="0" width="100%" height="208px" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="100%" height="51px" style="background-image: url(images/top2.jpg)">
                    <table border="0" width="100%" height="51px" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="100%" height="51px" align="left" style="background-image: url(images/top1.jpg);
                                        background-position: left; background-repeat: no-repeat; padding-left: 280px; padding-right:50px">
                          <table border="0" height="51px" cellpadding="0" cellspacing="0">
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="157px">
                    <table border="0" width="100%" height="157px" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="100%" height="157px" style="background-image: url(images/top4.jpg)">
                          <table width="100%" height="157px" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <td width="100%" height="157px" style="background-image: url(images/top3.jpg); background-position: left;
                                                    background-repeat: no-repeat">
                                <table width="100%" height="157px" cellpadding="0" cellspacing="0" border="0">
                                  <tr>
                                    <td width="100%" height="157px" style="background-image: url(images/top5.jpg); background-position: right;
                                                                background-repeat: no-repeat">
                                      <table width="100%" height="157px" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                          <td width="100%" height="157px" align="left" valign="middle" style="background-image: url(images/header1.jpg);
                                                                            background-position: right; background-repeat: no-repeat; padding-left: 107px;
                                                                            padding-right: 481px">
                                            <table border="0" cellpadding="0" cellspacing="0" height="64px">
                                              <tr>
                                                <td align="center" valign="middle" style="padding-right: 10px">
                                                  <img src="images/logo.gif" border="0" />
                                                </td>
                                                <td align="left" valign="middle" class="company">
                                                  <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                                </td>
                                              </tr>
                                            </table>
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="100%">
              <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="299px" height="100%" style="background-image: url(images/sbg1.jpg)">
                    <table border="0" width="299px" height="100%" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="299px" height="520px" align="right" valign="top" style="background-image: url(images/sbg2.jpg);
                                        background-position: bottom; background-repeat: no-repeat; padding-right: 23px;
                                        padding-top: 50px">
                          <table border="0" width="147px" cellpadding="0" cellspacing="0">
                            <xsl:call-template name="SUB-MENU">
                              <xsl:with-param name="pageID" select="@ID"/>
                            </xsl:call-template>                            
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td width="100%" height="100%" style="background-image: url(images/c1.jpg); background-position: bottom left;
                            background-repeat: repeat-x; background-color: #F9FAFC">
                    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="100%" height="100%" style="background-image: url(images/c2.jpg); background-position: top right;
                                        background-repeat: repeat-y">
                          <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="100%" height="100%" style="background-image: url(images/c3.jpg); background-position: top right;
                                                    background-repeat: no-repeat">
                                <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td width="100%" height="100%" style="background-image: url(images/c4.jpg); background-position: bottom right;
                                                                background-repeat: no-repeat">
                                      <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
                                        <tr>
                                          <td width="100%" height="100%" style="background-image: url(images/header2.jpg);
                                                                            background-position: top right; background-repeat: no-repeat; padding: 100px 116px 40px 30px">
                                            <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
                                              <tr>
                                                <td class="text-header" align="left" valign="middle" style="padding-bottom: 5px">
                                                  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                                                </td>
                                              </tr>
                                              <tr>
                                                <td width="100%" height="100%" class="content" align="left" valign="top" name="SB_stretch">
                                                  <xsl:apply-templates select="PAGE-CONTENT"/>
                                                </td>
                                              </tr>
                                            </table>
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="92px" style="background-image: url(images/b2.jpg)">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="92">
                <tr>
                  <td width="100%" height="92" style="background-image: url(images/b1.jpg); background-repeat: no-repeat;
                            background-position: left">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="92">
                      <tr>
                        <td width="100%" height="92" style="background-image: url(images/b3.jpg); background-repeat: no-repeat;
                                        background-position: right; padding-top: 50px" align="center" valign="top" class="copyright">
                          <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>

  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="141px" height="25px" align="left" style="padding-left: 3px" class="bmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td width="6px" height="25px">
            <img src="images/bb.gif" border="0" />
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="141px" height="25px" align="left" style="padding-left: 3px">
              <a href="{@HREF}" class="abmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td width="6px" height="25px">
              <a href="{@HREF}">
                <img src="images/bb.gif" border="0" />
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" width="147px" height="20" style="background-image: url(images/hr.gif)">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" > 
        <td style="padding-left:10px; padding-right:10px;text-align: center">
          <a href="{@HREF}" class="bmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td style="padding-left:10px; padding-right:10px;text-align: center" class="bmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td style="padding-left:10px; padding-right:10px;text-align: center">
          <a href="{@HREF}" class="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
        <img src="images/VAP-24_bottom.gif" border="0" />
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="."/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
