<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >	
           	<td align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        		</xsl:when>
            
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
						<td align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        		</xsl:when>
      
            <xsl:otherwise>
						<td align="center"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        		</xsl:otherwise>
	    
	    		</xsl:choose>
					<xsl:if test="position()!=last()">
		    		<td valign="middle" align="center" width="51"><img src="images/bullet.gif" alt="topmenu"/></td>
					</xsl:if>
	</xsl:template>	
	
	
	<xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
      			<tr>
              <td class="submenu_bg"><table width="100%" height="36" border="0" cellpadding="0" cellspacing="1">
                  <tr>
                  	<td width="10" ></td>
                    <td class="submenu">
                    	<a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                    </td>
                    <td width="18"><img src="images/submenu.gif" width="8" height="7"/></td>
                  </tr>
                </table></td>
              </tr>
			</xsl:when>
      
      <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      			<tr>
              <td ><table width="100%" height="36" border="0" cellpadding="0" cellspacing="1">
                  <tr>
                  	<td width="10" ></td>
                    <td class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td width="18"><img src="images/submenu.gif" width="8" height="7"/></td>
                    </tr>
                </table></td>
              </tr>

				</xsl:if>
      </xsl:otherwise>
		</xsl:choose>
		
		<xsl:if test="position()!=last()">
            <tr>
              <td height="1" ></td>
            </tr>
            <tr>
              <td height="1" class="submenu_hr"></td>
            </tr>	
            <tr>
              <td height="1" ></td>
            </tr>		
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
