<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>

<body style="margin:0;background-color:#FFFFFF;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td height="60" class="topmenubg"><table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
      		<!--CALL TOP-MENU -->
					<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="7" background="images/header_bg.jpg"></td>
  </tr>
  <tr>
    <td height="207" style="background:url(images/header_bg2.jpg) repeat-x;">
    	<table width="100%" height="207" border="0" cellpadding="0" cellspacing="0" style="background:url(images/headers_bg2.jpg) repeat-x right;">
          <tr>
            <td width="31%"><table width="100%" height="207"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td align="center" style="background:url(images/headers1.jpg) no-repeat;"><table width="280" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    </tr>
                    <tr>
                      <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                    </tr>
                  </table></td>
                </tr>
            </table></td>
            <td width="69%" align="right"><img src="images/headers.jpg" width="542" height="207"/></td>
          </tr>
        </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" class="contentbg"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="261" align="center" valign="top"><table width="261" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center">
			<table width="147" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="30"></td>
              </tr>
              <!--2ndmenu /-->
              <!-- CALL SUB-MENU -->
              <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
              <!--/ 2ndmenu-->
            </table>
			</td>
          </tr>
        </table></td>
        <td height="100%" valign="top">
					<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
            <tr>
              <td width="15" height="15"></td>
              <td ></td>
              <td width="15"></td>
              <td width="15"></td>
            </tr>					
            <tr>
              <td width="15" height="15"><img src="images/content_bg1.gif" width="15" height="15"/></td>
              <td class="contentbg2"></td>
              <td width="15" height="15"><img src="images/content_bg2.gif" width="15" height="15"/></td>
              <td width="15"></td>
            </tr>
            <tr>
              <td class="contentbg2"></td>
              <td height="100%" valign="top" class="contentbg2">
              <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="10">
                <tr>
                  <td height="20" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </tr>
                <tr>
                  <td height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                </tr>
              </table></td>
              <td class="contentbg2"></td>
              <td width="15"><img name="" src="" width="87" height="1" alt=""/></td>
            </tr>
            <tr>
              <td width="15" height="15"><img src="images/content_bg3.gif" width="15" height="15"/></td>
              <td class="contentbg2"></td>
              <td width="15" height="15"><img src="images/content_bg4.gif" width="15" height="15"/></td>
              <td width="15"></td>
            </tr>
            <tr>
              <td width="15" height="15"></td>
              <td ></td>
              <td width="15"></td>
              <td width="15"></td>
            </tr>	            
          </table>        
        </td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="85" align="center" valign="middle" class="footerbg"><table border="0" align="center" cellspacing="0" cellpadding="0">
      <tr>
	     	<!-- CALL BOTTOM-MENU -->
				<xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table></td>
  </tr>
</table>

</body>
</HTML>
</xsl:template>


<!--TOP-MENU-->
<xsl:template name="TOP-MENU">
			<xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>

	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
		
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			
		<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:template>


<!--BOTTOM-MENU-->
	<xsl:template name="BOTTOM-MENU">
			<xsl:apply-templates select="MENU" mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
		<xsl:choose>
      <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
       	  <td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        
					
				</xsl:when>
			<!-- when active-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        </xsl:when>
      <xsl:otherwise>
				<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </xsl:otherwise>
    </xsl:choose>
   		
   	<xsl:if test="position()!=last()">
	<td width="52" align="center" valign="middle"><img src="images/bmenu.gif" width="4" height="8" alt="bottom menu"/></td>
	</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>